gluNurbsCallbackData
Prev | GLU | Next

## Name

gluNurbsCallbackData — set a user data pointer

## C Specification

`void `gluNurbsCallbackData`` | `(` | `GLUnurbs* `nurb`, GLvoid* `userData`);`

## Python Specification

``gluNurbsCallbackData`` | `(` | ``nurb`, `userData`) → `None``

## Parameters

`nurb`
  Specifies the NURBS object (created with `gluNewNurbsRenderer`).
`userData`
  Specifies a pointer to the user's data.

## Description

`gluNurbsCallbackData` is used to pass a pointer to the application's data to NURBS tessellator. A copy of this pointer will be passed by the tessellator in the NURBS callback functions (set by `gluNurbsCallback`).

## Notes

`gluNurbsCallbackData` is available only if the GLU version is 1.3 or greater.

## See Also

gluNewNurbsRenderer, gluNurbsCallback

Prev | Up | Next
gluNurbsCallback | Home | gluNurbsCallbackDataEXT